Recommended update for python-Sphinx

SUSE Recommended Update: Recommended update for python-Sphinx
Announcement ID: SUSE-RU-2020:0155-1
Rating: moderate
References: #1157793 #1158158
Affected Products:
  • SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1

An update that has two recommended fixes can now be installed.

Description:

This update for python-Sphinx fixes the following issues:

  • Add patch to produce output that solves compatibliy issues with current Qt. (bsc#1157793, bsc#1158158)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP1-2020-155=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-155=1
  • SUSE Linux Enterprise Module for Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP1-2020-155=1

Package List:

  • SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (noarch):
    • python2-Sphinx-1.7.6-3.3.3
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (noarch):
    • python-Sphinx-doc-html-1.7.6-3.3.4
    • python-Sphinx-doc-man-common-1.7.6-3.3.4
    • python2-Sphinx-1.7.6-3.3.3
    • python2-Sphinx-doc-1.7.6-3.3.4
    • python2-Sphinx-doc-man-1.7.6-3.3.4
    • python2-Sphinx-latex-1.7.6-3.3.3
    • python3-Sphinx-doc-1.7.6-3.3.4
    • python3-Sphinx-doc-man-1.7.6-3.3.4
    • python3-Sphinx-latex-1.7.6-3.3.3
  • SUSE Linux Enterprise Module for Development Tools 15-SP1 (noarch):
    • python3-Sphinx-1.7.6-3.3.3

References: